Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 734326 - sys-auth/polkit: use dev-lang/duktape instead of dev-lang/spidermonkey
Summary: sys-auth/polkit: use dev-lang/duktape instead of dev-lang/spidermonkey
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 6 votes (vote)
Assignee: Freedesktop bugs
URL: https://gitlab.freedesktop.org/polkit...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-28 20:33 UTC by Boris Faure
Modified: 2020-10-23 14:42 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Faure 2020-07-28 20:33:11 UTC
Hi!
In order to no longer have python2.7, I've used the patch found on bug #698910 to replace spidermonkey with duktape.
I've been using that patch since late april without issue.
The patch can also be found in my overlay at https://github.com/billiob/gentoo-overlay/tree/master/sys-auth/polkit
Comment 1 Andreas Sturmlechner gentoo-dev 2020-07-29 08:01:25 UTC
Get it upstream and Gentoo can depend on it.
Comment 2 MW 2020-09-21 19:14:16 UTC
Works here.
Comment 3 Michael 2020-09-22 10:40:32 UTC
With a small change s/mozjs-60/mozjs-78/ the patch works for polkit-0.118 too.
Comment 4 Reva Denis 2020-10-21 04:27:19 UTC
Vote for that bug. Spidermonkey is just enormous engine to be included in server.
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-10-21 07:16:23 UTC
To be honest, I suppose even killing javascript entirely and hardcoding the default polkit rule would work for the majority of users.  For one, I don't have any other rules installed.

Maybe I should fork it into polkit-shim one day.
Comment 6 tt_1 2020-10-23 13:04:16 UTC
The whole of spidermonkey is a bit of an overkill on weak machines, allowing users to choose duktape over the whole spidermonkey + rust + llvm chain would be great. But please don't fully switch over to duktape, at least not before propper testing. I've already tried the pending upstream patch with 0.117 and it didn't fully work for me.
Comment 7 Reva Denis 2020-10-23 14:06:54 UTC
> tt_1 
So think I

> Mgorny

I have removed polkit entirely on my production server (disabled in elogind). Just because any user should not perform server control actions.

RarogCmexDell ~ # LC_ALL=C eix elogind
[I] sys-auth/elogind
     Available versions:  243.7 {+acl debug doc +pam +policykit selinux KERNEL="linux"}
     Installed versions:  243.7(10:51:52 10/18/20)(acl pam -debug -doc -policykit -selinux KERNEL="linux")
     Homepage:            https://github.com/elogind/elogind
     Description:         The systemd project's logind, extracted to a standalone package
Comment 8 Mike Gilbert gentoo-dev 2020-10-23 14:42:19 UTC
I am closing this as an upstream issue. Feel free to notify us if/when it gets accepted there.